libgeglmm: Gegl::Curve Class Reference

libgeglmm

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gegl::Curve Class Reference
Inheritance diagram for Gegl::Curve:
[legend]

List of all members.

## Public Member Functions
guint | add_point (double x, double y)
double | calc_value (double x)
void | calc_values (double x_min, double x_max, guint num_samples, double& xs, double& ys)
void | get_point (guint index, double& x, double& y) const
void | get_y_bounds (double& min_y, double& max_y) const
GeglCurve* | gobj ()
| Provides access to the underlying C GObject.
const GeglCurve* | gobj () const
| Provides access to the underlying C GObject.
GeglCurve* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
guint | num_points () const
void | set_point (guint index, double x, double y)
virtual | ~Curve ()
## Static Public Member Functions
static Glib::RefPtr< Curve > | create (double y_min, double y_max)
static Glib::RefPtr< Curve > | create_default_curve ()
## Protected Member Functions
| Curve (double y_min, double y_max)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gegl::Curve > | wrap (GeglCurve* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gegl::Curve::~Curve | ( |  | ) | `[virtual]`

Gegl::Curve::Curve | ( | double | y_min,
|  | double | y_max
| ) |  | `[explicit, protected]`

## Member Function Documentation

guint Gegl::Curve::add_point | ( | double | x,
|  | double | y
| ) |  |

double Gegl::Curve::calc_value | ( | double | x | ) |

void Gegl::Curve::calc_values | ( | double | x_min,
|  | double | x_max,
|  | guint | num_samples,
|  | double & | xs,
|  | double & | ys
| ) |  |

static Glib::RefPtr<Curve> Gegl::Curve::create | ( | double | y_min,
|  | double | y_max
| ) |  | `[static]`

static Glib::RefPtr<Curve> Gegl::Curve::create_default_curve | ( |  | ) | `[static]`

void Gegl::Curve::get_point | ( | guint | index,
|  | double & | x,
|  | double & | y
| ) |  | const

void Gegl::Curve::get_y_bounds | ( | double & | min_y,
|  | double & | max_y
| ) |  | const

GeglCurve* Gegl::Curve::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

const GeglCurve* Gegl::Curve::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GeglCurve* Gegl::Curve::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

guint Gegl::Curve::num_points | ( |  | ) | const

void Gegl::Curve::set_point | ( | guint | index,
|  | double | x,
|  | double | y
| ) |  |

## Friends And Related Function Documentation

Glib::RefPtr< Gegl::Curve > wrap | ( | GeglCurve * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- curve.h